Package org.apache.storm.localizer

# Class TimePortAndAssignment

java.lang.Object
org.apache.storm.metric.timed.Timed<PortAndAssignment>
org.apache.storm.localizer.TimePortAndAssignment

All Implemented Interfaces:
  `AutoCloseable`, `PortAndAssignment`, `TimerDecorated`

public class TimePortAndAssignment extends Timed<PortAndAssignment> implements PortAndAssignment

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TimePortAndAssignment(PortAndAssignment measured, com.codahale.metrics.Timer timer)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `complete()`
  `boolean`
  `equals(Object other)`
  All implementations of PortAndAssignment should implement the same equals() method.
  `LocalAssignment`
  `getAssignment()`
  `String`
  `getOwner()`
  `int`
  `getPort()`
  `String`
  `getToplogyId()`
  `int`
  `hashCode()`
  All implementations of PortAndAssignment should implement the same hashCode() method.
  `String`
  `toString()`

  ### Methods inherited from class org.apache.storm.metric.timed.Timed

  `getMeasured, stopTiming`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.storm.localizer.PortAndAssignment

  `isEquivalentTo`

  ### Methods inherited from interface org.apache.storm.metric.timed.TimerDecorated

  `close, stopTiming`

- ## Constructor Details

  - ### TimePortAndAssignment

    public TimePortAndAssignment(PortAndAssignment measured, com.codahale.metrics.Timer timer)

- ## Method Details

  - ### getToplogyId

    public String getToplogyId()
    Specified by:
      `getToplogyId` in interface `PortAndAssignment`

  - ### getOwner

    public String getOwner()
    Specified by:
      `getOwner` in interface `PortAndAssignment`

  - ### getPort

    public int getPort()
    Specified by:
      `getPort` in interface `PortAndAssignment`

  - ### getAssignment

    public LocalAssignment getAssignment()
    Specified by:
      `getAssignment` in interface `PortAndAssignment`

  - ### complete

    public void complete()
    Specified by:
      `complete` in interface `PortAndAssignment`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    All implementations of PortAndAssignment should implement the same hashCode() method.
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object other)
    All implementations of PortAndAssignment should implement the same equals() method.
    Overrides:
      `equals` in class `Object`